<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<!-- A basic XSL stylesheet for tinydict -->
<!-- Christopher Manning December 2003 -->

<xsl:output method="html" version="3.2"/>

<xsl:template match="/" xml:space="default">
<HTML>
<HEAD>
<TITLE>
<xsl:text>TinyDict Word List</xsl:text>
</TITLE>
</HEAD>
<BODY BGCOLOR="white" LINK="blue" VLINK="red">
<xsl:apply-templates select="DICTIONARY/ENTRY"/>
</BODY>
</HTML>
</xsl:template>

<xsl:template match="ENTRY">
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="HW">
  <H1><xsl:apply-templates/></H1>
</xsl:template>

<xsl:template match="SEM">
  <p><font color="gray" size="-1">[<xsl:apply-templates/>]</font></p>
</xsl:template>

<xsl:template match="DOMAIN">
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="GLOSS">
  <p><i>Meaning: </i><xsl:apply-templates/></p>
</xsl:template>

</xsl:stylesheet>
